import { EventBus } from "../../../event-bus";
export declare class BaseControl extends EventBus {
    constructor();
    show(): void;
    hide(): void;
    init(): void;
    attach(): void;
    detach(): void;
    getState(): void;
}
